ur_rna.StructureEditor.services.drawing

## Class DrawHint.DrawShape

- java.lang.Object
- - ur_rna.StructureEditor.services.drawing.DrawHint
  - - ur_rna.StructureEditor.services.drawing.DrawHint.DrawShape

- Enclosing class:
    DrawHint

      public static class DrawHint.DrawShape
      extends DrawHint

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class ur_rna.StructureEditor.services.drawing.DrawHint

      `DrawHint.DrawShape, DrawHint.DrawText`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `java.awt.Shape` | `shape`

    - ### Fields inherited from class ur_rna.StructureEditor.services.drawing.DrawHint

      `colorFill, colorLine, HintColorDefault, HintColorReference, HintLineDefault, HintLineThick, isModelCoords, lineStyle`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DrawShape(java.awt.Shape shape)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `DrawHint` | `bold()` Do something to emphasize this hint.
    `protected void` | `drawHint(java.awt.Graphics2D g, View2D view, DrawSettings settings)`

    - ### Methods inherited from class ur_rna.StructureEditor.services.drawing.DrawHint

      `color, color, color, dashed, draw, fill, fillAlpha, fromModel, getDrawColor, line, line, line, noFill, noLine, shape, text`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### shape

          public final java.awt.Shape shape

  - ### Constructor Detail

    - #### DrawShape

          public DrawShape(java.awt.Shape shape)

  - ### Method Detail

    - #### bold

          public DrawHint bold()

      Description copied from class: `DrawHint`
      Do something to emphasize this hint.
      Specified by:
        `bold` in class `DrawHint`

    - #### drawHint

          protected void drawHint(java.awt.Graphics2D g,
                                  View2D view,
                                  DrawSettings settings)

      Specified by:
        `drawHint` in class `DrawHint`